Skip to main content
PATCH
Update app

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

app_id
integer<int64>
required

ID of the app

Body

application/json

App details

name
string

Unique application name (alphanumeric, hyphens allowed)

Required string length: 1 - 64
Pattern: ^[a-z0-9][a-z0-9-]*[a-z0-9]$
Example:

"my-edge-app"

binary
integer<int64>

ID of the WebAssembly binary to deploy

Required range: x >= 1
Example:

12345

template
integer<int64>

Template ID

status
integer

Status code:
0 - draft (inactive)
1 - enabled
2 - disabled
5 - suspended

Required range: 0 <= x <= 5
Example:

1

env
object

Environment variables

Example:
rsp_headers
object

Extra headers to add to the response

Example:
log
enum<string> | null
deprecated
Available options:
kafka,
none
debug
boolean
default:false
write-only

Enable verbose debug logging for 30 minutes. Automatically expires to prevent performance impact.

Example:

false

comment
string

Optional human-readable description of the application's purpose

Maximum string length: 1024
Example:

"Production API gateway for customer portal"

secrets
object

Application secrets

stores
object

Application edge stores

Response

Application updated successfully, returns updated metadata

id
integer<int64>
required

App ID

Required range: x >= 1
name
string
required

App name

status
integer
required

Status code:
0 - draft (inactive)
1 - enabled
2 - disabled
3 - hourly call limit exceeded
4 - daily call limit exceeded
5 - suspended

binary
integer<int64>
required

Binary ID

api_type
string
required

Wasm API type

plan_id
integer<int64>
required

Application plan ID

url
string

App URL

comment
string

Description of the binary

debug_until
string<date-time>

When debugging finishes

template
integer<int64>

Template ID

template_name
string

Template name

networks
string[]

Networks

upgradeable_to
integer<int64>

ID of the binary the app can be upgraded to

plan
string

Application plan name